Package ru.bitel.bgbilling.kernel.contract.object.common.service

# Interface ContractObjectService

public interface ContractObjectService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `contractObjectClone(int contractId, int objectId, boolean clonePeriod)`
  `void`
  `contractObjectDelete(int contractId, int objectId)`
  `ContractObject`
  `contractObjectGet(int contractId, int objectId)`
  `List<ContractObject>`
  `contractObjectList(int contractId)`
  `List<ru.bitel.bgbilling.kernel.contract.object.common.dto.ContractObjectModuleDTO>`
  `contractObjectModuleList(int contractId, int objectId)`
  `void`
  `contractObjectOrder(int contractId, int objectId, boolean up)`
  `List<ru.bitel.bgbilling.kernel.contract.object.common.dto.ContractObjectParameterDTO>`
  `contractObjectParameters(int contractId, int objectId)`
  `SearchResult<ContractObject>`
  `contractObjectTable(int contractId, String filterTitle, int filterType, Page page)`
  `int`
  `contractObjectUpdate(int contractId, ContractObject contractObject)`
  `void`
  `deleteListParameterValue(int valueId)`
  `List<IdTitle>`
  `getAvailableTypeForObjectType(int objectTypeId)`
  `List<ObjectParameterGroupAttr>`
  `getListParameters()`
  `List<ListValue>`
  `getValuesForListParameter(int parameterId)`
  `void`
  `objectParamDelete(int id)`
  `void`
  `objectParameterAddressDelete(int contractId, int objectId, int parameterId)`
  Удаление параметра адреса для объекта на договоре
  `AddressStruct`
  `objectParameterAddressStructGet(int contractId, int objectId, int parameterId)`
  Получение значения адреса для параметра объекта
  `void`
  `objectParameterAddressUpdate(int contractId, EntityAttrAddress entityAttrAddress)`
  Обновление параметра адреса для объекта на договоре
  `void`
  `objectParameterDateUpdate(int contractId, EntityAttrDate entityAttrDate)`
  Обновление параметра объекта типа дата
  `void`
  `objectParameterFlagUpdate(int contractId, EntityAttrBoolean entityAttrBoolean)`
  Обновление параметра объекта типа флаг
  `EntityAttr`
  `objectParameterGet(int contractId, int entityId, int entitySpecId)`
  `void`
  `objectParameterHistoryClear(int contractId, int objectId, int parameterId, int parameterType)`
  Очистка истории изменения параметра объекта
  `List<ParameterHistoryEntry>`
  `objectParameterHistoryList(int contractId, int objectId, int parameterId, int parameterType)`
  Получение истории изменения параметра объекта
  `void`
  `objectParameterListUpdate(int contractId, EntityAttrList entityAttrList)`
  Обновление спискового параметра объекта
  `void`
  `objectParameterTextUpdate(int contractId, EntityAttrText entityAttrText)`
  Обновление текстового параметра объекта
  `ObjectParameterGroupAttr`
  `objectParamGet(int parameterId)`
  `SearchResult<ObjectParameterGroupAttr>`
  `objectParamSearch()`
  `void`
  `objectParamUpdate(ObjectParameterGroupAttr contractObjectParam)`
  `void`
  `objectTypeDelete(int typeId)`
  `ObjectType`
  `objectTypeGet(int typeId)`
  `List<ObjectType>`
  `objectTypeList(boolean onlyVisible)`
  `List<ObjectTypeParameter>`
  `objectTypeParameterList(int objectTypeId)`
  `List<IdTitle>`
  `objectTypeTitles(boolean onlyVisible)`
  `int`
  `objectTypeUpdate(ObjectType objectType)`
  `void`
  `parameterMoving(int objectTypeParameterId, int parameterId, boolean moveToUp)`
  `void`
  `updateLinkParameterWithObjectType(int objectTypeId, int parameterId, boolean add)`
  Привязка или удаление параметра типа объекта
  `void`
  `updateListParameterValue(ListValue listValue)`

- ## Method Details

  - ### contractObjectList

    List<ContractObject> contractObjectList(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectTable

    SearchResult<ContractObject> contractObjectTable(int contractId, String filterTitle, int filterType, Page page) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectGet

    ContractObject contractObjectGet(int contractId, int objectId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectUpdate

    int contractObjectUpdate(int contractId, ContractObject contractObject) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectDelete

    void contractObjectDelete(int contractId, int objectId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectClone

    void contractObjectClone(int contractId, int objectId, boolean clonePeriod) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectOrder

    void contractObjectOrder(int contractId, int objectId, boolean up) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectParameters

    List<ru.bitel.bgbilling.kernel.contract.object.common.dto.ContractObjectParameterDTO> contractObjectParameters(int contractId, int objectId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### contractObjectModuleList

    List<ru.bitel.bgbilling.kernel.contract.object.common.dto.ContractObjectModuleDTO> contractObjectModuleList(int contractId, int objectId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterGet

    EntityAttr objectParameterGet(int contractId, int entityId, int entitySpecId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterAddressUpdate

    void objectParameterAddressUpdate(int contractId, EntityAttrAddress entityAttrAddress) throws ru.bitel.bgbilling.common.BGException
    Обновление параметра адреса для объекта на договоре
    Parameters:
      `contractId` - id договора
      `entityAttrAddress` - структурированное представление адреса
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterAddressDelete

    void objectParameterAddressDelete(int contractId, int objectId, int parameterId) throws ru.bitel.bgbilling.common.BGException
    Удаление параметра адреса для объекта на договоре
    Parameters:
      `objectId` - id объекта
      `parameterId` - id параметра
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterAddressStructGet

    AddressStruct objectParameterAddressStructGet(int contractId, int objectId, int parameterId) throws ru.bitel.bgbilling.common.BGException
    Получение значения адреса для параметра объекта
    Parameters:
      `objectId` - id объекта
      `parameterId` - id параметра объекта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterTextUpdate

    void objectParameterTextUpdate(int contractId, EntityAttrText entityAttrText) throws ru.bitel.bgbilling.common.BGException
    Обновление текстового параметра объекта
    Parameters:
      `objectId` - id объекта
      `parameterId` - id параметра объекта
      `value` - новое значение
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterFlagUpdate

    void objectParameterFlagUpdate(int contractId, EntityAttrBoolean entityAttrBoolean) throws ru.bitel.bgbilling.common.BGException
    Обновление параметра объекта типа флаг
    Parameters:
      `contractId` - id объекта
      `entityAttrBoolean` - новое значение (true/false)
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterDateUpdate

    void objectParameterDateUpdate(int contractId, EntityAttrDate entityAttrDate) throws ru.bitel.bgbilling.common.BGException
    Обновление параметра объекта типа дата
    Parameters:
      `objectId` - id объекта
      `parameterId` - id параметра объекта типа дата
      `value` - новое значение
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterListUpdate

    void objectParameterListUpdate(int contractId, EntityAttrList entityAttrList) throws ru.bitel.bgbilling.common.BGException
    Обновление спискового параметра объекта
    Parameters:
      `objectId` - id объекта
      `parameterId` - id параметра объекта типа список
      `value` - новое значение
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterHistoryList

    List<ParameterHistoryEntry> objectParameterHistoryList(int contractId, int objectId, int parameterId, int parameterType) throws ru.bitel.bgbilling.common.BGException
    Получение истории изменения параметра объекта
    Parameters:
      `objectId` - id объекта
      `parameterId` - id параметра объекта
      `parameterType` - id типа параметра объекта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParameterHistoryClear

    void objectParameterHistoryClear(int contractId, int objectId, int parameterId, int parameterType) throws ru.bitel.bgbilling.common.BGException
    Очистка истории изменения параметра объекта
    Parameters:
      `objectId` - id объекта
      `parameterId` - id параметра объекта
      `parameterType` - id типа параметра объекта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParamSearch

    SearchResult<ObjectParameterGroupAttr> objectParamSearch() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParamGet

    ObjectParameterGroupAttr objectParamGet(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParamUpdate

    void objectParamUpdate(ObjectParameterGroupAttr contractObjectParam) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectParamDelete

    void objectParamDelete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectTypeList

    List<ObjectType> objectTypeList(boolean onlyVisible) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectTypeTitles

    List<IdTitle> objectTypeTitles(boolean onlyVisible) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectTypeUpdate

    int objectTypeUpdate(ObjectType objectType) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectTypeGet

    ObjectType objectTypeGet(int typeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectTypeDelete

    void objectTypeDelete(int typeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### objectTypeParameterList

    List<ObjectTypeParameter> objectTypeParameterList(int objectTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAvailableTypeForObjectType

    List<IdTitle> getAvailableTypeForObjectType(int objectTypeId) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `objectTypeId` - ID типа объекта
    Returns:
      список доступных параметров для привязки к типу объекта
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateLinkParameterWithObjectType

    void updateLinkParameterWithObjectType(int objectTypeId, int parameterId, boolean add) throws ru.bitel.bgbilling.common.BGException
    Привязка или удаление параметра типа объекта
    Parameters:
      `objectTypeId` - ID типа объекта
      `parameterId` - ID параметра
      `add` - true - привязать, false - удалить
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### parameterMoving

    void parameterMoving(int objectTypeParameterId, int parameterId, boolean moveToUp) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getValuesForListParameter

    List<ListValue> getValuesForListParameter(int parameterId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getListParameters

    List<ObjectParameterGroupAttr> getListParameters() throws ru.bitel.bgbilling.common.BGException
    Returns:
      лист спиского типа параметров
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateListParameterValue

    void updateListParameterValue(ListValue listValue) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteListParameterValue

    void deleteListParameterValue(int valueId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`